<mat-card class="cust-card" style="background-color: white; text-align: center;">

	<h1 mat-dialog-title> <b> Challenge A Friend ? </b> </h1>
	
		<div mat-dialog-content >

			  <div  *ngFor="let user of data.userList;"
			  	   [class.selected]="user === currentUser"
			  	   (click)="onSelect(user)">
			  		<button  mat-button   mat-dialog-close *ngIf="!user.statut_connexion && user.id != userService.data.id"style="text-align:left" class="btn btn-secondary btn-block mt-2" >

			  			<!-- <img *ngIf="user.avatar" [src]="user.avatar" 
					            class="rounded mw-10 mh-10"
					            style=" max-height:50px;max-width:50px;"
					            alt="Personnal Icon"> -->
						<!-- <img *ngIf="!user.avatar" [src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
					            class="rounded mw-10 mh-10"
					            style=" max-height:50px;max-width:50px;"
					            alt="Default Icon"> --> 
					    <!-- Consomme beaucoup de donnée réseau --> 
					    <b> {{ user.nom + " " + user.prenom }} </b>
				   </button>
				   <button   mat-button mat-dialog-close *ngIf="user.statut_connexion && user.id != userService.data.id" style="text-align:left" class="btn btn-success btn-block mt-2" >

			  			<!-- <img *ngIf="user.avatar" [src]="user.avatar" 
					            class="rounded mw-10 mh-10"
					            style=" max-height:50px;max-width:50px;"
					            alt="Personnal Icon"> -->
						<!-- <img *ngIf="!user.avatar" [src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
					            class="rounded mw-10 mh-10"
					            style=" max-height:50px;max-width:50px;"
					            alt="Default Icon"> --> 
					    <!-- Consomme beaucoup de donnée réseau --> 
					    <b> {{ user.nom + " " + user.prenom }} </b>
				   </button>
			  </div>
		</div> 
	<mat-dialog-actions >
		<button  mat-button mat-dialog-close class="btn btn-dark btn-block mt-2" > <b> Close </b> </button>
	</mat-dialog-actions>

</mat-card>